Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.plugins
[Java] Interface PluginManagerAware

    public interface PluginManagerAware
    extends org.springframework.beans.factory.Aware

For implementors interested in obtaining a reference to the Grails PluginManager instance.

Authors:
  Graeme Rocher

See Also:
  GrailsPluginManager

Since:
  0.6

Method Summary
`void` | `setPluginManager(GrailsPluginManager pluginManager)` Sets the plug-in manager on this instance

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### setPluginManager

    public void setPluginManager(GrailsPluginManager pluginManager)

  Sets the plug-in manager on this instance
  Parameters:
    `pluginManager` - The PluginManager

Groovy Documentation